# Command: round

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    round - Round double to the nearest integer

Synopsis:

    double round -> double
      integer round -> double

Examples:

      1.4 round  --> 1.0
      1.5 round  --> 2.0
      2   round  --> 2.0

Description:

    Alternatives: Function round_d (undocumented)
      -> behaviour and synopsis are the same.

Remarks:

      round_d is currently defined in SLI,
      could be implemented in C++ for efficiency.

      On 130610 it was decided that round applied to an integer
      should be the identity function.

      Update: In a later discussion, it was decided to make round
      return a double in this case as well.

Author:

    introduced non-trie-variant round_d, Ruediger Kupper.

SeeAlso:

- iround
- floor
- ceil
- cvi

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/ps-lib.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative